Skip to main content
POST
/
facilities
Create facility
curl --request POST \
  --url https://api.finpace.tech/facilities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "facilityId": "fac_01J8YF6F",
  "customerId": "<string>",
  "productId": "<string>",
  "state": "available",
  "approvedAmount": {
    "currency": "EUR",
    "amount": "1250.00"
  }
}
'
{
  "facilityId": "fac_01J8YF6F",
  "customerId": "<string>",
  "productId": "<string>",
  "state": "available",
  "approvedAmount": {
    "currency": "EUR",
    "amount": "1250.00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.finpace.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
facilityId
string
required
Example:

"fac_01J8YF6F"

customerId
string
required
productId
string
required
state
string
required
Example:

"available"

approvedAmount
object
required

Response

200 - application/json

OK

facilityId
string
required
Example:

"fac_01J8YF6F"

customerId
string
required
productId
string
required
state
string
required
Example:

"available"

approvedAmount
object
required